Bug 455172 - Package Review: perl-Convert-BER - ASN.1 Basic Encoding Rules
Package Review: perl-Convert-BER - ASN.1 Basic Encoding Rules
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://netbsd.sk/~lkundrak/SPECS/perl...
:
Depends On:
Blocks: perl-Mon-review
  Show dependency treegraph
 
Reported: 2008-07-13 09:20 EDT by Lubomir Rintel
Modified: 2016-08-14 12:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 20:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-07-13 09:20:41 EDT
SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-Convert-BER.spec
SRPM:
http://netbsd.sk/~lkundrak/mock-results/perl-Convert-BER-1.3101-2.el5.noarch/perl-Convert-BER-1.3101-2.el5.src.rpm
mock: http://netbsd.sk/~lkundrak/mock-results/perl-Convert-BER-1.3101-2.el5.noarch/

Description:

Convert::BER provides an OO interface to encoding and decoding data using
the ASN.1 Basic Encoding Rules (BER), a platform independent way of
encoding structured binary data together with the structure.
Comment 1 Parag AN(पराग) 2008-07-23 00:43:07 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=733103
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
00fd5e5a98d4194da0e980186cba6292  Convert-BER-1.3101.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=10, Tests=401,  1 wallclock secs ( 0.12 usr  0.01 sys +  0.43 cusr  0.02
csys =  0.58 CPU)
+ Package perl-Convert-BER-1.3101-2.fc10 =>
  Provides: perl(Convert::BER) = 1.31 perl(Convert::BER::ANY)
perl(Convert::BER::BER) perl(Convert::BER::BIT_STRING)
perl(Convert::BER::BIT_STRING8) perl(Convert::BER::BOOLEAN)
perl(Convert::BER::CHOICE) perl(Convert::BER::CONSTRUCTED)
perl(Convert::BER::INTEGER) perl(Convert::BER::NULL)
 perl(Convert::BER::OBJECT_ID) perl(Convert::BER::OPTIONAL)
perl(Convert::BER::REAL) perl(Convert::BER::SEQUENCE)
perl(Convert::BER::SEQUENCE_OF) perl(Convert::BER::STRING)
perl(Convert::BER::_Time_generic)
Requires: perl(Exporter) perl(integer) perl(strict) perl(vars)

APPROVED.
Comment 2 Lubomir Rintel 2008-07-23 02:42:40 EDT
New Package CVS Request
=======================
Package Name: perl-Convert-BER
Short Description: ASN.1 Basic Encoding Rules
Owners: lkundrak
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-07-23 11:44:54 EDT
cvs done.
Comment 4 Lubomir Rintel 2008-07-23 20:29:31 EDT
All imported and built. Thanks for review and cvs.

Note You need to log in before you can comment on or make changes to this bug.